% Checking consistency of numerically calculated eigenvalues
clear all

% N = floor(linspace(16,80,20));
N = 16:100;
values = 6;
showplots = 0;

eigvals = zeros(values,length(N));
errors = eigvals;

for k = 1:length(N)
    eigvals(:,k) = free_free_beam(N(k),values,showplots);
end


analytic = [
    4.7300407448627040260240481;
    7.8532046240958375564770667;
    10.9956078380016709066690325;
    14.1371654912574641771059179;
    17.2787596573994814380910740;
    20.4203522456260610909364112
            ];
        
for v=1:values
    errors(v,:) = abs((eigvals(v,:)).^2 - (analytic(v)).^2);
end

col = 'yrgbkcm';
figure
for v = 1:values
    semilogy(N,errors(v,:),['.-' col(mod(v,7)+1)]);
    hold on    
end
grid on
legend('1','2','3','4','5','6');
title('Error in eigenvalues vs. N');
xlabel('N');
ylabel('error');
% 
% figure
% semilogy(N,sum(errors))